> ## Documentation Index
> Fetch the complete documentation index at: https://core.vanish.trade/llms.txt
> Use this file to discover all available pages before exploring further.

# Get One-Time Wallet

> Retrieves a one-time wallet address to be used for making a swap route.



## OpenAPI

````yaml GET /trade/one-time-wallet
openapi: 3.0.1
info:
  title: Vanish Core API
  description: API endpoints for the Vanish Core service.
  license:
    name: MIT
  version: 2.0.0
servers:
  - url: https://core-api-dev.vanish.trade
security:
  - ApiKeyAuth: []
paths:
  /trade/one-time-wallet:
    get:
      description: Retrieves a one-time wallet address to be used for making a swap route.
      responses:
        '200':
          description: Successful one-time wallet address response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateOneTimeWalletResponse'
        '401':
          description: Unauthorized. The request is missing a valid API key
          content:
            application/json:
              schema:
                $ref: '#/components/responses/UnauthorizedError'
        '500':
          description: Internal server error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    CreateOneTimeWalletResponse:
      required:
        - address
      type: object
      properties:
        address:
          description: Generated one-time wallet address.
          type: string
    Error:
      type: string
  responses:
    UnauthorizedError:
      description: API key is missing or invalid
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````